#! /usr/bin/sh
#
# file: install.sh
#
# this is the installation script for the ISIP random number generator
#

# compile and install
#
echo "Installing random number generator..."

if [ -z $ISIP_RANDOM ] 
    then
	echo "must set \$ISIP_RANDOM before proceeding."
	exit 3

else
    rm -f $ISIP_RANDOM/bin/$ISIP_BINARY/*
fi

cd $ISIP_RANDOM/include
rm -f random_gen.h
ln -s ../util/random_gen/random_gen.h random_gen.h

cd $ISIP_RANDOM/util
make clean; make install -j5; make clean

# the installation is now complete, prompt the user
#
echo "The installation was successful..."

# end of file
#
