// file: random_gen.h
//
// declaration of the globals used for random number generation 
//

// make sure definitions are only made once
//
#ifndef __ISIP_RANDOM
#define __ISIP_RANDOM

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

//-----------------------------------------------------------------------------
//
// general constants
//
//-----------------------------------------------------------------------------

// define some constants used in random number generation
//
#define ISIP_RAND_INIT ISIP_RANDSEED
#define ISIP_RAND_BIG 1000000000
#define ISIP_RAND_SEED 161803398
#define ISIP_RAND_ARRAY 56
#define ISIP_RAND_CONST 31
#define ISIP_RAND_SCALE (1.0 / ISIP_RAND_BIG)

//-----------------------------------------------------------------------------
//
// global functions
//
//-----------------------------------------------------------------------------

// functions defined in random_gen.cc
//
extern float_4 random_cc();
extern float_4 random_cc(float_4 limit);
extern float_4 random_cc(float_4 low, float_4 high);

// end of file
//
#endif
